<div class="app bg flex-row align-items-center ">
    <div class="app-body ">
        <main class="main d-flex align-items-center">
            <div class="container">
                <div class="row">
                    <div class="col-md-8 mx-auto">
                        <div class="card-group">
                            <div class="card p-4">
                                <div class="card-body">

                                    <form>
                                        <h1>Login</h1>
                                        <p class="text-muted">Sign In to your account</p>
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="icon-user"></i></span>
                                            </div>
                                            <input [(ngModel)]="username" name="username" maxlength="30" type="text"
                                                class="form-control" placeholder="Username" autocomplete="username"
                                                required>
                                        </div>
                                        <div class="input-group mb-2">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="icon-lock"></i></span>
                                            </div><br>
                                            <input [(ngModel)]="password" name="password" maxlength="30" type="password"
                                                class="form-control" placeholder="Password"
                                                autocomplete="current-password" required>
                                        </div>
                                        <div class="error mb-2" *ngIf="error_msg">
                                            *{{error_msg}}
                                        </div>

                                        <div class="row" style="text-align: right;">
                                            <div class="col-12"><br>
                                                <button type="submit" class="btn px-4" (click)="login()"
                                                    style="background: #3aafa9;color: #feffff"
                                                    *ngIf="!loading_status">Login</button>

                                                <button type="submit" class="btn px-4 " (click)="login()"
                                                    style="background: #3aafa9;color: #feffff" role="status"
                                                    *ngIf="loading_status" disabled>
                                                    <div class="spinner-grow text-light" role="status">
                                                        <span class="sr-only">Loading...</span>
                                                    </div>
                                                </button>
                                            </div>
                                        </div>

                                        <!-- <form *ngIf="loading_status">
                                            <div class="text-center">
                                                <div class="spinner-grow text-secondary" role="status">
                                                    <span class="sr-only">Loading...</span>
                                                </div>
                                                <div class="spinner-border" style="width: 5rem; height: 5rem;" role="status">
                                                    <span class="sr-only">Loading...</span>
                                                </div>

                                            </div>
                                            <div class="text-center">
                                                <button type="button" class="btn btn-primary active mt-3"
                                                    (click)="loading_status = false;">Cancel</button>
                                            </div>
                                        </form> -->
                                    </form>
                                </div>
                            </div>
                            <div class="card text-white py-5 d-md-down-none" style="width:44%; background : #2b7a78;">
                                <div class="card-body text-center">
                                    <div><br><br><br>
                                        <h2>Manage Service </h2>
                                        <h2>Plus Portal</h2>
                                        <!-- <p></p> -->
                                        <!-- <button type="button" class="btn btn-primary active mt-3">Register Now!</button> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    </div>
</div>